<?php
declare(strict_types=1);

namespace Inti\Elementor\Plugin\Factory;

use Inti\Elementor\Document\DocumentManager;
use Inti\Elementor\Plugin\RegisterDocuments;
use Psr\Container\ContainerInterface;

/**
 * Class RegisterDocumentsFactory
 *
 * @package Inti\Elementor\Plugin\Factory
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-elementor
 */
final class RegisterDocumentsFactory
{
    public function __invoke(ContainerInterface $container): RegisterDocuments
    {
        return new RegisterDocuments(
            $container->get(DocumentManager::class)
        );
    }
}
