<?php
declare(strict_types=1);

namespace Inti\Elementor\Plugin;

use Elementor\Widgets_Manager;
use Inti\Wp\Plugin\PluginInterface;
use Laminas\ServiceManager\PluginManagerInterface;

/**
 * Class RegisterWidgets
 *
 * @package Inti\Elementor\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-elementor
 */
final class RegisterWidgets implements PluginInterface
{
    private PluginManagerInterface $manager;
    /** @var string[] */
    private array $widgets;

    public function __construct(PluginManagerInterface $manager)
    {
        $this->manager = $manager;
    }

    public function run(?array $options = null): void
    {
        $this->widgets = $options ?? [];

        if (!empty($this->widgets)) {
            add_action('elementor/widgets/widgets_registered', [$this, 'widgets_registered']);
        }
    }

    public function widgets_registered(Widgets_Manager $manager)
    {
        foreach ($this->widgets as $name) {
            $widget = $this->manager->get($name);
            $manager->register_widget_type($widget);
        }
    }
}
