<?php
declare(strict_types=1);

namespace Inti\Elementor\Tag\Post;

use ElementorPro\Modules\DynamicTags\Tags\Post_Featured_Image;
use function get_post_meta;
use function get_the_ID;

/**
 * Class FeaturedImage
 *
 * @package Inti\Elementor\Tag\Post
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-elementor
 */
final class FeaturedImage extends Post_Featured_Image
{
    public function get_value( array $options = [] ): ?array
    {
        $thumbnail_id = get_post_meta(get_the_ID(), '_thumbnail_id', true);

        if ($thumbnail_id) {
            $image_data = [
                'id' => $thumbnail_id,
                'url' => wp_get_attachment_image_src($thumbnail_id, 'full')[0],
            ];
        } else {
            $image_data = $this->get_settings('fallback');
        }

        return $image_data;
    }
}
